QuantLib: AnalyticGJRGARCHEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
AnalyticGJRGARCHEngine Class Reference
Pricing engines » Vanilla option engines

GJR-GARCH(1,1) engine. More...

`#include <ql/pricingengines/vanilla/analyticgjrgarchengine.hpp>`

Inheritance diagram for AnalyticGJRGARCHEngine:
[legend]

## Public Member Functions
| AnalyticGJRGARCHEngine (const boost::shared_ptr< GJRGARCHModel > &model)
void | calculate () const
Public Member Functions inherited from GenericModelEngine< GJRGARCHModel, VanillaOption::arguments, VanillaOption::results >
| GenericModelEngine (const Handle< GJRGARCHModel > &model=Handle< GJRGARCHModel >())
| GenericModelEngine (const boost::shared_ptr< GJRGARCHModel > &model)
Public Member Functions inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericModelEngine< GJRGARCHModel, VanillaOption::arguments, VanillaOption::results >
Handle< GJRGARCHModel > | model_
Protected Attributes inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
VanillaOption::arguments | arguments_
VanillaOption::results | results_

## Detailed Description

GJR-GARCH(1,1) engine.

References:

Jin-Chuan Duan, Genevieve Gauthier, Jean-Guy Simonato, Caroline Sasseville, 2006. Approximating the GJR-GARCH and EGARCH option pricing models analytically Journal of Computational Finance, Volume 9, Number 3, Spring 2006

Tests:
  the correctness of the returned value is tested by reproducing results available in the Duan et al's 2006 paper.